[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCollectionItem.Collection

Pointer to the collection managing this item.

## Declaration

Source position: classesh.inc line 501

`public property TCollectionItem.Collection : TCollection read FCollection write SetCollection;`

## Description

Collection points to the collection managing this item. This property can be set to point to a new collection. If this is done, the old collection will be notified that the item should no longer be managed, and the new collection is notified that it should manage this item as well.

## See also

TCollection |  | Base class to manage collections of named objects.